module.exports = function (grunt) {

    // Project configuration.
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        jsdoc : {
            dist : {
                src: ['./*.js', './node_modules/mojo-node-helper/*.js'],
                jsdoc: './node_modules/.bin/jsdoc',
                options: {
                    destination: 'docs'
                }
            }
        }
    });

    // Load the plugin that provides the "uglify" task.
    grunt.loadNpmTasks('grunt-jsdoc');

    // Default task(s).
    grunt.registerTask('default', ['jsdoc']);

};